$missionName               = "Heavens Peak";
$server::HudMapViewOffsetX = -1500;
$server::HudMapViewOffsetY = 2500;

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("BoPstdlib.cs");

function mapOnMissionStart() { 
  $healRate = 100;   
  $ammoRate = 3;
  $padWaitTime = 45;
  $zenWaitTime = 90;
  temperateSounds();
}

function ZenHeal::trigger::onEnter(%this, %object) {
  Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}

function ZenHeal::trigger::onContact(%this, %object) {
  Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

function ZenAmmo::trigger::onEnter(%this, %object) {
  Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object) {
  Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

function ZenAll::trigger::onEnter(%this, %object) {
  Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}

function ZenAll::trigger::onContact(%this, %object) {
  Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}
